curl --request POST \
--url https://api.nebius.cloud/mk8s/v1alpha1/node-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"parentId": "<string>",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>"
},
"spec": {
"template": {
"resources": {
"platform": "<string>",
"preset": "<string>"
},
"bootDisk": {
"blockSizeBytes": "<string>",
"sizeBytes": "<string>",
"sizeGibibytes": "<string>",
"sizeKibibytes": "<string>",
"sizeMebibytes": "<string>",
"type": "UNSPECIFIED"
},
"cloudInitUserData": "<string>",
"filesystems": [
{
"attachMode": "UNSPECIFIED",
"deviceName": "<string>"
}
],
"gpuCluster": {
"id": "<string>"
},
"metadata": {
"labels": {}
},
"networkInterfaces": [
{
"publicIpAddress": {},
"subnetId": "<string>"
}
],
"os": "<string>",
"preemptible": {},
"serviceAccountId": "<string>",
"taints": [
{
"effect": "EFFECT_UNSPECIFIED",
"key": "<string>",
"value": "<string>"
}
]
},
"autoRepair": {
"conditions": [
{
"type": "<string>",
"disabled": true,
"status": "CONDITION_STATUS_UNSPECIFIED",
"timeout": "<string>"
}
]
},
"autoscaling": {
"maxNodeCount": "<string>",
"minNodeCount": "<string>"
},
"fixedNodeCount": "<string>",
"strategy": {
"drainTimeout": "<string>",
"maxSurge": {
"count": "<string>",
"percent": "<string>"
},
"maxUnavailable": {
"count": "<string>",
"percent": "<string>"
}
},
"version": "<string>"
}
}
'import requests
url = "https://api.nebius.cloud/mk8s/v1alpha1/node-groups"
payload = {
"metadata": {
"parentId": "<string>",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>"
},
"spec": {
"template": {
"resources": {
"platform": "<string>",
"preset": "<string>"
},
"bootDisk": {
"blockSizeBytes": "<string>",
"sizeBytes": "<string>",
"sizeGibibytes": "<string>",
"sizeKibibytes": "<string>",
"sizeMebibytes": "<string>",
"type": "UNSPECIFIED"
},
"cloudInitUserData": "<string>",
"filesystems": [
{
"attachMode": "UNSPECIFIED",
"deviceName": "<string>"
}
],
"gpuCluster": { "id": "<string>" },
"metadata": { "labels": {} },
"networkInterfaces": [
{
"publicIpAddress": {},
"subnetId": "<string>"
}
],
"os": "<string>",
"preemptible": {},
"serviceAccountId": "<string>",
"taints": [
{
"effect": "EFFECT_UNSPECIFIED",
"key": "<string>",
"value": "<string>"
}
]
},
"autoRepair": { "conditions": [
{
"type": "<string>",
"disabled": True,
"status": "CONDITION_STATUS_UNSPECIFIED",
"timeout": "<string>"
}
] },
"autoscaling": {
"maxNodeCount": "<string>",
"minNodeCount": "<string>"
},
"fixedNodeCount": "<string>",
"strategy": {
"drainTimeout": "<string>",
"maxSurge": {
"count": "<string>",
"percent": "<string>"
},
"maxUnavailable": {
"count": "<string>",
"percent": "<string>"
}
},
"version": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
parentId: '<string>',
id: '<string>',
labels: {},
name: '<string>',
resourceVersion: '<string>'
},
spec: {
template: {
resources: {platform: '<string>', preset: '<string>'},
bootDisk: {
blockSizeBytes: '<string>',
sizeBytes: '<string>',
sizeGibibytes: '<string>',
sizeKibibytes: '<string>',
sizeMebibytes: '<string>',
type: 'UNSPECIFIED'
},
cloudInitUserData: '<string>',
filesystems: [{attachMode: 'UNSPECIFIED', deviceName: '<string>'}],
gpuCluster: {id: '<string>'},
metadata: {labels: {}},
networkInterfaces: [{publicIpAddress: {}, subnetId: '<string>'}],
os: '<string>',
preemptible: {},
serviceAccountId: '<string>',
taints: [{effect: 'EFFECT_UNSPECIFIED', key: '<string>', value: '<string>'}]
},
autoRepair: {
conditions: [
{
type: '<string>',
disabled: true,
status: 'CONDITION_STATUS_UNSPECIFIED',
timeout: '<string>'
}
]
},
autoscaling: {maxNodeCount: '<string>', minNodeCount: '<string>'},
fixedNodeCount: '<string>',
strategy: {
drainTimeout: '<string>',
maxSurge: {count: '<string>', percent: '<string>'},
maxUnavailable: {count: '<string>', percent: '<string>'}
},
version: '<string>'
}
})
};
fetch('https://api.nebius.cloud/mk8s/v1alpha1/node-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"description": "<string>",
"finishedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"progressData": {
"@type": "<string>"
},
"request": {
"@type": "<string>"
},
"requestHeaders": {},
"resource": {
"@type": "<string>"
},
"resourceId": "<string>",
"status": {
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}
}Create
Authorizations
The Authorization header expects a Bearer token.
Body
Response
A successful response.
Creation timestamp.
ID of the user or service account who initiated the operation.
Human readable description of the operation. 0-256 characters long.
The time when the operation finished.
ID of the operation.
Any contains an arbitrary serialized protocol buffer message along with a
URL that describes the type of the serialized message
Show child attributes
Show child attributes
Any contains an arbitrary serialized protocol buffer message along with a
URL that describes the type of the serialized message
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Any contains an arbitrary serialized protocol buffer message along with a
URL that describes the type of the serialized message
Show child attributes
Show child attributes
ID of the resource that this operation creates, updates, deletes or otherwise changes.
If the operation affects multiple resources or does not affect any API resources at all (e.g. a routine maintenance operation visible to the user), the [resource_id] must be empty.
The Status type defines a logical error model that is suitable for
different programming environments, including REST APIs and RPC APIs. It is
used by gRPC. Each Status message contains
three pieces of data: error code, error message, and error details.
You can find out more about this error model and how to work with it in the API Design Guide.
Show child attributes
Show child attributes
Was this page helpful?